> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.vlenseg.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.vlenseg.com/_mcp/server.

# Api Digitalidentity Verify Id Back Post

POST https://api.vlenseg.com/api/DigitalIdentity/verify/id/back
Content-Type: application/json

Reference: https://docs.vlenseg.com/api-reference/vlens-api/digital-identity-verification/post-digital-identity-verify-id-back

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: example-openapi
  version: 1.0.0
paths:
  /api/DigitalIdentity/verify/id/back:
    post:
      operationId: post-digital-identity-verify-id-back
      summary: Api Digitalidentity Verify Id Back Post
      tags:
        - digitalIdentityVerification
      parameters:
        - name: ApiKey
          in: header
          description: Static API key issued to your tenant. Required on every request.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Digital Identity -
                  Verification_postDigitalIdentityVerifyIdBack_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                transaction_id:
                  type: string
                image:
                  type: string
                getExtractedData:
                  type: string
              required:
                - transaction_id
                - image
                - getExtractedData
servers:
  - url: https://api.vlenseg.com
    description: Production
components:
  schemas:
    ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesValidationsValidationErrorsItemsErrorsItems:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      title: >-
        ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesValidationsValidationErrorsItemsErrorsItems
    ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesValidationsValidationErrorsItems:
      type: object
      properties:
        field:
          type: string
        value:
          type: string
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesValidationsValidationErrorsItemsErrorsItems
      required:
        - field
        - value
        - errors
      title: >-
        ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesValidationsValidationErrorsItems
    ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesValidations:
      type: object
      properties:
        validation_errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesValidationsValidationErrorsItems
      required:
        - validation_errors
      title: >-
        ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesValidations
    ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesSpoofing:
      type: object
      properties:
        fake:
          type: string
      required:
        - fake
      title: >-
        ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesSpoofing
    ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesClassification:
      type: object
      properties:
        doc_type:
          type: string
      required:
        - doc_type
      title: >-
        ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesClassification
    ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesAmlDataItems:
      type: object
      properties:
        caseNo:
          type: string
        caseYear:
          type: string
        recordDate:
          type: string
        fullName:
          type: string
        idNumber:
          type: string
        dateOfBirth:
          type: string
      required:
        - caseNo
        - caseYear
        - recordDate
        - fullName
        - idNumber
        - dateOfBirth
      title: >-
        ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesAmlDataItems
    ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesAml:
      type: object
      properties:
        AML_matched:
          type: string
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesAmlDataItems
      required:
        - AML_matched
        - data
      title: >-
        ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesAml
    ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServices:
      type: object
      properties:
        Validations:
          $ref: >-
            #/components/schemas/ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesValidations
        validations:
          $ref: >-
            #/components/schemas/ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesValidations
        spoofing:
          $ref: >-
            #/components/schemas/ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesSpoofing
        classification:
          $ref: >-
            #/components/schemas/ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesClassification
        liveness:
          type: string
        AML:
          $ref: >-
            #/components/schemas/ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServicesAml
      required:
        - Validations
        - validations
        - spoofing
        - classification
        - liveness
        - AML
      title: >-
        ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServices
    ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaDataUser:
      type: object
      properties:
        name:
          type: string
        surname:
          type: string
        fullName:
          type: string
        userName:
          type: string
        emailAddress:
          type: string
        phoneNumber:
          type: string
        idNumber:
          type: string
      required:
        - name
        - surname
        - fullName
        - userName
        - emailAddress
        - phoneNumber
        - idNumber
      title: >-
        ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaDataUser
    ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        isVerificationProcessCompleted:
          type: string
        isDigitalIdentityVerified:
          type: string
        user:
          $ref: >-
            #/components/schemas/ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaDataUser
      required:
        - isVerificationProcessCompleted
        - isDigitalIdentityVerified
        - user
      title: >-
        ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaData
    Digital Identity - Verification_postDigitalIdentityVerifyIdBack_Response_200:
      type: object
      properties:
        services:
          $ref: >-
            #/components/schemas/ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaServices
        data:
          $ref: >-
            #/components/schemas/ApiDigitalIdentityVerifyIdBackPostResponsesContentApplicationJsonSchemaData
        error_code:
          type: string
        error_message:
          type: string
      required:
        - services
        - data
        - error_code
        - error_message
      title: >-
        Digital Identity -
        Verification_postDigitalIdentityVerifyIdBack_Response_200
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: ApiKey
      description: Static API key issued to your tenant. Required on every request.

```

## Examples



**Request**

```json
{
  "transaction_id": "{{verify_transaction_id}}",
  "image": "{{di_ID_back}}",
  "getExtractedData": "false"
}
```

**Response**

```json
{
  "services": {
    "Validations": {
      "validation_errors": [
        {
          "field": "<string>",
          "value": "<string>",
          "errors": [
            {
              "code": "<integer>",
              "message": "<string>"
            },
            {
              "code": "<integer>",
              "message": "<string>"
            }
          ]
        },
        {
          "field": "<string>",
          "value": "<string>",
          "errors": [
            {
              "code": "<integer>",
              "message": "<string>"
            },
            {
              "code": "<integer>",
              "message": "<string>"
            }
          ]
        }
      ]
    },
    "validations": {
      "validation_errors": [
        {
          "field": "<string>",
          "value": "<string>",
          "errors": [
            {
              "code": "<integer>",
              "message": "<string>"
            },
            {
              "code": "<integer>",
              "message": "<string>"
            }
          ]
        },
        {
          "field": "<string>",
          "value": "<string>",
          "errors": [
            {
              "code": "<integer>",
              "message": "<string>"
            },
            {
              "code": "<integer>",
              "message": "<string>"
            }
          ]
        }
      ]
    },
    "spoofing": {
      "fake": "<boolean>"
    },
    "classification": {
      "doc_type": "<string>"
    },
    "liveness": "<boolean>",
    "AML": {
      "AML_matched": "<boolean>",
      "data": [
        {
          "caseNo": "<string>",
          "caseYear": "<integer>",
          "recordDate": "<dateTime>",
          "fullName": "<string>",
          "idNumber": "<string>",
          "dateOfBirth": "<dateTime>"
        },
        {
          "caseNo": "<string>",
          "caseYear": "<integer>",
          "recordDate": "<dateTime>",
          "fullName": "<string>",
          "idNumber": "<string>",
          "dateOfBirth": "<dateTime>"
        }
      ]
    }
  },
  "data": {
    "isVerificationProcessCompleted": "<boolean>",
    "isDigitalIdentityVerified": "<boolean>",
    "user": {
      "name": "<string>",
      "surname": "<string>",
      "fullName": "<string>",
      "userName": "<string>",
      "emailAddress": "<string>",
      "phoneNumber": "<string>",
      "idNumber": "<string>"
    }
  },
  "error_code": "<integer>",
  "error_message": "<string>"
}
```

**SDK Code**

```python Digital Identity - Verification_postDigitalIdentityVerifyIdBack_example
import requests

url = "https://api.vlenseg.com/api/DigitalIdentity/verify/id/back"

payload = {
    "transaction_id": "{{verify_transaction_id}}",
    "image": "{{di_ID_back}}",
    "getExtractedData": "false"
}
headers = {
    "ApiKey": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Digital Identity - Verification_postDigitalIdentityVerifyIdBack_example
const url = 'https://api.vlenseg.com/api/DigitalIdentity/verify/id/back';
const options = {
  method: 'POST',
  headers: {ApiKey: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"transaction_id":"{{verify_transaction_id}}","image":"{{di_ID_back}}","getExtractedData":"false"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Digital Identity - Verification_postDigitalIdentityVerifyIdBack_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.vlenseg.com/api/DigitalIdentity/verify/id/back"

	payload := strings.NewReader("{\n  \"transaction_id\": \"{{verify_transaction_id}}\",\n  \"image\": \"{{di_ID_back}}\",\n  \"getExtractedData\": \"false\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("ApiKey", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Digital Identity - Verification_postDigitalIdentityVerifyIdBack_example
require 'uri'
require 'net/http'

url = URI("https://api.vlenseg.com/api/DigitalIdentity/verify/id/back")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["ApiKey"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"transaction_id\": \"{{verify_transaction_id}}\",\n  \"image\": \"{{di_ID_back}}\",\n  \"getExtractedData\": \"false\"\n}"

response = http.request(request)
puts response.read_body
```

```java Digital Identity - Verification_postDigitalIdentityVerifyIdBack_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.vlenseg.com/api/DigitalIdentity/verify/id/back")
  .header("ApiKey", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"transaction_id\": \"{{verify_transaction_id}}\",\n  \"image\": \"{{di_ID_back}}\",\n  \"getExtractedData\": \"false\"\n}")
  .asString();
```

```php Digital Identity - Verification_postDigitalIdentityVerifyIdBack_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.vlenseg.com/api/DigitalIdentity/verify/id/back', [
  'body' => '{
  "transaction_id": "{{verify_transaction_id}}",
  "image": "{{di_ID_back}}",
  "getExtractedData": "false"
}',
  'headers' => [
    'ApiKey' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Digital Identity - Verification_postDigitalIdentityVerifyIdBack_example
using RestSharp;

var client = new RestClient("https://api.vlenseg.com/api/DigitalIdentity/verify/id/back");
var request = new RestRequest(Method.POST);
request.AddHeader("ApiKey", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"transaction_id\": \"{{verify_transaction_id}}\",\n  \"image\": \"{{di_ID_back}}\",\n  \"getExtractedData\": \"false\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Digital Identity - Verification_postDigitalIdentityVerifyIdBack_example
import Foundation

let headers = [
  "ApiKey": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "transaction_id": "{{verify_transaction_id}}",
  "image": "{{di_ID_back}}",
  "getExtractedData": "false"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.vlenseg.com/api/DigitalIdentity/verify/id/back")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```